/**
 * Minify html file.
 * @function lib.minify.minifyHtmlFile
 * @param {string|string[]} src - Html file name to minify.
 * @param {string} dest - Destination file name.
 * @param {function} callback - Callback when done.
 * @author Taka Okunishi
 *
 */
var path = require('path'),
    fs = require('fs'),
    file = require('../file'),
    forceUnlink = file.forceUnlink,
    _minifyFile = require('./_minify_file'),
    minifyHtmlString = require('./minify_html_string');

module.exports = function (src, dest, callback) {
    _minifyFile(src, dest, minifyHtmlString, callback);
};